<script setup>
const props = defineProps({
    is_active: {
        type: Boolean,
        required: true
    },
    name: {
        type: String,
        required: true
    }
});

const emit = defineEmits(["toggle"]);
</script>

<template>
    <div class="flex flex-row align-middle pl-6 shadow-filters-box space-x-4 py-2 cursor-pointer items-center"
        @click="emit('toggle', true)">
        <div class="w-full max-w-[15px] h-full max-h-[18px]">
            <NuxtImg v-if="is_active" src="/images/arrow_down.svg" width="15" height="18" />
            <NuxtImg v-else src="/images/arrow_right.svg" width="10" height="15" />
        </div>
        <span class="text-size2240">&nbsp;{{ name }}</span>
    </div>
</template>